%global npm_name tough-cookie
%global enable_tests 1

Name: nodejs-%{npm_name}
Version: 2.3.4
Release: %mkrel 7
Summary: RFC6265 Cookies and Cookie Jar for node
License: BSD
Group: Development/Other
URL: https://github.com/salesforce/tough-cookie
Source0: https://registry.npmjs.org/%{npm_name}/-/%{npm_name}-%{version}.tgz
Patch0: CVE-2023-26136.patch
BuildRequires: nodejs-packaging
Requires: npm(punycode)
BuildArch: noarch

%description
%{summary}

%prep
%setup -q -n package
%autopatch -p1

%nodejs_fixdep punycode ">=2.0.0"

%build
# Nothing to do here

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr lib %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr package.json %{buildroot}%{nodejs_sitelib}/%{npm_name}

%nodejs_symlink_deps

%if 0%{?enable_tests}
%check
%{nodejs_symlink_deps} --check
%endif

%files
%{nodejs_sitelib}/%{npm_name}
%license LICENSE
%doc README.md



%changelog
* Sat Jun 28 2025 umeabot <umeabot> 2.3.4-7.mga10
+ Revision: 2221551
- Mageia 10 Mass Rebuild

* Tue Mar 19 2024 ns80 <ns80> 2.3.4-6.mga10
+ Revision: 2050820
- add a patch from Debian for CVE-2023-26136 (mga#32114)

* Tue Mar 22 2022 umeabot <umeabot> 2.3.4-5.mga9
+ Revision: 1818690
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 2.3.4-4.mga8
+ Revision: 1503265
- Mageia 8 Mass Rebuild

* Thu Sep 20 2018 umeabot <umeabot> 2.3.4-3.mga7
+ Revision: 1281088
- Mageia 7 Mass Rebuild

* Mon May 07 2018 kekepower <kekepower> 2.3.4-2.mga7
+ Revision: 1227346
- Fix nodejs dependencies

* Wed May 02 2018 kekepower <kekepower> 2.3.4-1.mga7
+ Revision: 1224808
- imported package nodejs-tough-cookie

